Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/chatline_common.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
chatline_common.h File Reference
`#include "support.h"`
`#include "featured_text.h"`

Go to the source code of this file.

## Functions

int | send_chat (const char *message)
int | send_chat_printf (const char *format,...) fc__attribute((__format__(__printf__
int void | output_window_append (const struct ft_color color, const char *featured_text)
void | output_window_vprintf (const struct ft_color color, const char *format, va_list args)
void | output_window_printf (const struct ft_color color, const char *format,...) fc__attribute((__format__(__printf__
void void | output_window_event (const char *plain_text, const struct text_tag_list *tags, int conn_id)
void | chat_welcome_message (bool gui_has_copying_mitem)
void | write_chatline_content (const char *txt)
void | fc_allocate_ow_mutex (void)
void | fc_release_ow_mutex (void)
void | fc_init_ow_mutex (void)
void | fc_destroy_ow_mutex (void)

## Function Documentation

## ◆ chat_welcome_message()

void chat_welcome_message | ( | bool | gui_has_copying_mitem | ) |

Standard welcome message.

Definition at line 177 of file chatline_common.c.

Referenced by fc_client::fc_main(), setup_widgets(), and show_main_page().

## ◆ fc_allocate_ow_mutex()

void fc_allocate_ow_mutex | ( | void |  | ) |

Allocate output window mutex

Definition at line 71 of file chatline_common.c.

Referenced by fc_client::fc_main(), output_window_append(), and output_window_event().

## ◆ fc_destroy_ow_mutex()

void fc_destroy_ow_mutex | ( | void |  | ) |

Destroy output window mutex

Definition at line 95 of file chatline_common.c.

Referenced by at_exit().

## ◆ fc_init_ow_mutex()

void fc_init_ow_mutex | ( | void |  | ) |

Initialize output window mutex

Definition at line 87 of file chatline_common.c.

Referenced by client_main().

## ◆ fc_release_ow_mutex()

void fc_release_ow_mutex | ( | void |  | ) |

Release output window mutex

Definition at line 79 of file chatline_common.c.

Referenced by fc_client::fc_main(), output_window_append(), and output_window_event().

## ◆ output_window_append()

int void output_window_append | ( | const struct ft_color | color,
|  | const char * | featured_text
| ) |  |

Add a line of text to the output ("chatline") window, like puts() would do it in the console.

Definition at line 104 of file chatline_common.c.

Referenced by chatwdg::anchor_clicked(), trade_generator::calculate(), chat_welcome_message(), client_start_server(), connect_callback(), connect_callback(), diplo_dialog_returnkey(), disconnect_from_server(), event_after(), event_after(), gold_callback(), gui_version_message(), handle_game_info(), handle_player_info(), handle_single_want_hack_reply(), inputline_make_chat_link(), inputline_return_callback(), races_dialog::ok_pressed(), output_window_vprintf(), popup_connection_dialog(), races_dialog_ok_callback(), races_response(), server_scan_error(), server_scan_error(), set_city_workertask(), map_view::shortcut_pressed(), fc_client::slot_connect(), start_scenario_callback(), try_to_autoconnect(), version_message(), version_message_main_thread(), and write_chatline_content().

## ◆ output_window_event()

void void output_window_event | ( | const char * | plain_text,
|  | const struct text_tag_list * | tags,
|  | int | conn_id
| ) |  |

Add a line of text to the output ("chatline") window from server event.

Definition at line 166 of file chatline_common.c.

Referenced by handle_event().

## ◆ output_window_printf()

void output_window_printf | ( | const struct ft_color | color,
|  | const char * | format,
|  |  | ...
| ) |  |

## ◆ output_window_vprintf()

void output_window_vprintf | ( | const struct ft_color | color,
|  | const char * | format,
|  | va_list | args
| ) |  |

Add a line of text to the output ("chatline") window. The text is constructed in printf style.

Definition at line 139 of file chatline_common.c.

Referenced by output_window_printf().

## ◆ send_chat()

int send_chat | ( | const char * | message | ) |

Send the message as a chat to the server.

Definition at line 46 of file chatline_common.c.

Referenced by client_aitoggle_player(), client_kill_server(), editbar_player_pov_combobox_changed(), handle_game_load(), input_edit_conn_callback(), inputline_return(), inputline_return_callback(), nation_button_callback(), observe_button_callback(), chat_listener::send_chat_message(), send_save_game(), fc_client::slot_pregame_observe(), fc_sidewidget::some_slot(), fc_client::start_from_save(), start_game_callback(), and fc_client::start_scenario().

## ◆ send_chat_printf()

int send_chat_printf | ( | const char * | format,
|  |  | ...
| ) |  |

## ◆ write_chatline_content()

void write_chatline_content | ( | const char * | txt | ) |

Writes the supplied string into the file defined by the variable 'default_chat_logfile'.

Definition at line 196 of file chatline_common.c.

Referenced by log_output_window().